TAU_PROFILE_PARAM1L(3)

Name
TAU_PROFILE_PARAM1L - Creates a snapshot of the current apllication profile

Synopsis

C/C++:

TAU_PROFILE_PARAM1L(long number, char* name);

Fortran:

TAU_PROFILE_PARAM1L(char* name, integer number, integer length);

Description

Track the a given numerial parameter to a function and records each value as a seperate event. number is the parameter to be tracked. name is the name of this event.

Example

C/C++:

    int f1(int x)
    {
      TAU_PROFILE("f1()", "", TAU_USER);
      TAU_PROFILE_PARAM1L((long) x, "x");
    	...

Fortran:

     subroutine ITERATION(val)
      integer val
      integer profiler(2) / 0, 0 /
      save profiler
      call TAU_PROFILE_TIMER(profiler, 'INTERATION')
      call TAU_PROFILE_START(profiler)
     	call TAU_PROFILE_PARAM1L('value', val, 4)
    	....
    	call TAU_PROFILE_STOP(profiler)
      return
    end

See Also

TAU_PROFILE_TIMER_DYNAMIC(3)